var ft = {
	float_img : function(count){
	
		$("#box_float"+count+" img").hide();
		$(".box_float").hide();
		$("#float_img"+count).show();
		$("#box_float"+count).show();
		$('#box_float'+count).jqFloat({
			width:0,
			height:$(document).height(),
			speed:1500,
			minHeight:$(document).height()/2
		});
		$ ("#float_img"+count).click(function(){
			$("#box_float"+count).stop();
			$("#float_img"+count).hide();
			$("#float_des"+count).show();
		});
		$('#float_des'+count).udraggable({
			distance: 15,
			start: function () {
			},
			stop: function () {
				var pos = $(this).offset();
				 
				//计算红包是否放到了正确的位置Calc.num.value
			var istrue;
			 for (var i=1;i<=Calc.num.value;i++){
				var goal_pos = $('#box_place'+i).offset();
			 	if(pos.left > goal_pos.left && pos.top > goal_pos.top && ((pos.left - goal_pos.left) <=40) && ((pos.top - goal_pos.top) <=40)){
					$("#box_place"+i).text($(this).text());
					$(this).hide();
					 istrue=1;
					 break;
				 }
				 else{ istrue=0;}
			
				 }
			 
			if(istrue==1){
				    $("#box_float"+count).jqFloat('play');
					$("#float_img"+count).show();
					var count_next = parseInt(count) + 1;
					console.log($("#num").val());
					console.log($("#count").val());
					if($("#num").val() > $("#count").val()){
						ft.float_img(count_next);
						console.log("33");
						$("#count").val(count_next);
					}else{
						$("#box_float"+count).stop();
						$("#float_img"+count).hide();
					}
			  }
			  else{
				 alert("你放的位置不对");
				}
 
			},
			drag: function (e, ui) {
				
			}
		});
	}
};